Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
eZRandomTranslator Class Reference
Internationalization » Translation

Translates text by picking randomly among it's sub handlers. More...

Inheritance diagram for eZRandomTranslator:

## Public Member Functions
| __construct ( $is_key_based)
| keyPick ( $key)
| pick ( $context, $source, $comment)
Public Member Functions inherited from eZTranslatorGroup
| findKey ( $key)
| findMessage ( $context, $source, $comment=null)
| translate ( $context, $source, $comment=null)
| keyTranslate ( $key)
| handlerCount ()
| registerHandler ( $handler)
Public Member Functions inherited from eZTranslatorHandler
| isKeyBased ()

## Additional Inherited Members
Public Attributes inherited from eZTranslatorGroup
| $Handlers
Public Attributes inherited from eZTranslatorHandler
| $IsKeyBased

## Detailed Description

Translates text by picking randomly among it's sub handlers.

Definition at line 19 of file ezrandomtranslator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZRandomTranslator::__construct | ( |  | $is_key_based | ) |

Constructor

Parameters

  bool | $is_key_based |

Reimplemented from eZTranslatorGroup.

Definition at line 21 of file ezrandomtranslator.php.

## Member Function Documentation

## ◆ keyPick()

eZRandomTranslator::keyPick | ( |  | $key | ) |
| virtual

Returns a random pick from the registered handlers.

Implements eZTranslatorGroup.

Definition at line 30 of file ezrandomtranslator.php.

References eZTranslatorGroup\handlerCount().

## ◆ pick()

eZRandomTranslator::pick | ( |  | $context,
|  |  | $source,
|  |  | $comment
| ) |  |
| virtual

Returns a random pick from the registered handlers.

Implements eZTranslatorGroup.

Definition at line 40 of file ezrandomtranslator.php.

References eZTranslatorGroup\handlerCount().

The documentation for this class was generated from the following file:

- ezrandomtranslator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.